"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getIndentInfo = void 0;
const indent = {
    space: " ",
    tab: "\t",
};
exports.getIndentInfo = (mergedPrettierOptions) => {
    const defaultInfo = {
        baseIndent: 0,
        indentChar: indent.space,
    };
    const { tabWidth, useTabs } = mergedPrettierOptions;
    const result = {
        baseIndent: tabWidth,
        indentChar: defaultInfo.indentChar,
    };
    if (useTabs) {
        result.baseIndent = 1;
        result.indentChar = indent.tab;
    }
    return Object.assign(Object.assign({}, defaultInfo), result);
};
